Create a DirectUpload
curl --request POST \
--url https://api.tread-horizon.com/v1/direct_uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"byte_size": 123,
"checksum": "<string>",
"content_type": "<string>",
"metadata": {}
}
'import requests
url = "https://api.tread-horizon.com/v1/direct_uploads"
payload = {
"filename": "<string>",
"byte_size": 123,
"checksum": "<string>",
"content_type": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
byte_size: 123,
checksum: '<string>',
content_type: '<string>',
metadata: {}
})
};
fetch('https://api.tread-horizon.com/v1/direct_uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"byte_size": 123,
"checksum": "<string>",
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"key": "<string>",
"service_name": "<string>",
"signed_id": "<string>",
"direct_upload": {
"url": "<string>",
"headers": {}
},
"metadata": {}
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}FileAttachments
Create a DirectUpload
Create a DirectUpload.
The checksum must be calculated exactly the way rails expects it (javascript example).
You should upload the file to direct_upload.url using any provided headers from direct_upload.headers.
Once this is done you can use signed_id in place of a file in any endpoint that accepts file uploads.
POST
/
v1
/
direct_uploads
Create a DirectUpload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Body
application/json
Response
Created
Show child attributes
Show child attributes
⌘I